package com.zy.bms.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zy.bms.common.io.NewsIO;
import com.zy.bms.model.SetNews;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 语音播报 Mapper
 *
 * @author konglilia
 * Create on 2020/4/10
 */
@Mapper
@Repository
public interface SetNewsMapper extends BaseMapper<SetNews> {
    /**
     * 分页查询播报记录
     *
     * @param io 查询参数
     */
    IPage<SetNews> getListPage(Page<SetNews> page, @Param("io") NewsIO io);
}
